#
# spec file for package python-promise
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           python-promise
Version:        2.2.1
Release:        bp153.1.14
Summary:        Promises/A+ implementation for Python
License:        MIT
Group:          Development/Languages/Python
URL:            https://github.com/syrusakbary/promise
Source:         https://files.pythonhosted.org/packages/source/p/promise/promise-%{version}.tar.gz
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module six}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-six
BuildArch:      noarch
%ifpython2
Requires:       python-typing
%endif
%python_subpackages

%description
This is an implementation of Promises in Python

%prep
%setup -q -n promise-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%files %{python_files}
%doc README.rst
%license LICENSE
%{python_sitelib}/*

%changelog
* Mon Feb 11 2019 Tomáš Chvátal <tchvatal@suse.com>
- Update to version 2.2.1:
  * support python3
  * have license in tarball
* Wed May  9 2018 toddrme2178@gmail.com
- Add license file
- Use license tag
* Tue Feb 13 2018 gsmith@suse.com
- Initial packaging (version 2.1)
